Problem mit Update 3.0.6

phpBB 3.0 hat sein "End of Life" erreicht. Eine Neu-Installation wird nicht mehr unterstützt.
Exotic Shayle
Mitglied
Beiträge: 232
Registriert: 03.02.2008 15:25
Wohnort: Kulturstadt Weimar
Kontaktdaten:

Problem mit Update 3.0.6

Beitrag von Exotic Shayle »

Hallo
Wollte gerade das Update in meinem Forum machen von 3.0.5 auf 3.0.6.
Habe mir dazu das automatische updatepaket heruntergeladen.
hab das auf mein Forum gezogen, danach habe ich die Installation gestartet.
Klappt auch alles soweit ganz gut.
-Einführung ....OK.....
-Mit nächsten Schritt fortfahren
-Datenbank jetzt aktualisieren
-Prüfe Dateien
Dann fängt er an zu Prüfen und ungefähr bei der Hälfte hört er auf und ich bekomm die Meldung:
,,Internal Server Error" The server encountered an internal error or misconfiguration and was unable to complete your request.
Ich soll mich bei meinen Provider melden. . .

Aber woran kann das liegen? Das ist ja nun nicht das erste Update was ich mache.
Was soll ich den Provider fragen? Weil das die Standartfehlermeldung ist. Die
kommt immer wenn irrgentetwas nicht hinhaut auf dem Server.

Gibt es noch eine andere Möglichkeite außer das automatische Paket, mit Anleitung?

Bitte um Antwort
DANKE
Lg MArcel
http://www.malamute-wolfshundeforum.de (Schlittenhunde- und Wolfshundeforum)
http://www.nw.winterhunde.de (alle meine Websites)

Benutzeravatar
Metzle
Ehemaliges Teammitglied
Beiträge: 10435
Registriert: 08.03.2008 02:50
Wohnort: Waiblingen-Neustadt
Kontaktdaten:

Re: Problem mit Update 3.0.6

Beitrag von Metzle »

Hallo,

ich vermute, dass die maximale Ausführungszeit für Skripte ausgereizt ist ( max_execution_time ). Vielleicht, wenn man es nicht selbst kann, diesen Wert vom Hoster mal kurzfristig hochsetzen lassen.
Ich muss das auch demnächst bei meinem Hoster mal machen lassen, da wie mir scheint, das das erste Update ist, bei dem es bei mir auch zu diesem Problem kommt.
Metzle
phpBB.de-Support-Team
Allround-phpBB.de

Exotic Shayle
Mitglied
Beiträge: 232
Registriert: 03.02.2008 15:25
Wohnort: Kulturstadt Weimar
Kontaktdaten:

Re: Problem mit Update 3.0.6

Beitrag von Exotic Shayle »

Achso ja das kann sein. Muss ich mal schauen, ich frag mal nach.
Da wird sich wahrscheinlich am Sonntag keiner mehr rühren....
DANKE
Lg MArcel
http://www.malamute-wolfshundeforum.de (Schlittenhunde- und Wolfshundeforum)
http://www.nw.winterhunde.de (alle meine Websites)

Sprite01
Mitglied
Beiträge: 10
Registriert: 03.05.2008 19:18
Wohnort: Dessau
Kontaktdaten:

Re: Problem mit Update 3.0.6

Beitrag von Sprite01 »

Mein Problem ist ähnlich oder auch genau so:

Folgendes Problem mit der Update-Routine:

Die Aktualisierung der Datenbank funktioniert, dann werden die Dateien verglichen und überprüft.
Hier bricht das Update mit der Fehlermeldung ab:
[ externes Bild ]

Laut dem Support hier soll es so behoben werden können:
das bedeutet, dass bei dir der Wert max_execution_time bei php auf zu wenige Sekunden gesetzt ist und die Datei eine längere Ausführungszeit benötigt.
Am besten vielleicht mal beim Hoster nachfragen, falls du den Wert nicht selbst ändern kannst, ob er dir den Wert hochsetzt auf 30 oder 60 Sekunden.
Dazu habe ich meinen Provider kontaktiert, der meint es liegt an meiner .htaccess:
In Ihrem FTP-Root befindet sich eine .htaccess Datei, die für Ihren Account den CGI-Modus über den AddHandler-Befehl aktiv schaltet. Bitte kommentieren Sie diesen Befehl in der htaccess einmal aus, indem Sie eine # vor die Zeile davor setzen. Häufig kommt ein Internal Server Error bei Updates und ähnlichen Aktionen, wenn der Account im CGI-Modus läuft, da hier strengere Restriktionen gelten und die Performance-Last größer ist, so dass das Script abbricht, wenn ein gewisses Limit überschritten wird. Versuchen Sie das Update daher nochmal bei deaktiviertem CGI.
Wenn ich dies durchführe kann ich auch nicht updaten, es erscheint:
[ externes Bild ]

Und nun bin ich am Ende mit meinem Wissen, was nun ?
In der Forensoftware befindet sich ja auch noch eine .htaccess, weiß aber nun nicht ob die damit etwas zu tun hat.
Hauptproblem scheint also die Laufzeit für die Überprüfung zu sein.
CGI benötige ich aber auch, sonst funktioniert mein http://www.Regionalwetter-SA.de nicht. :cry:

Exotic Shayle
Mitglied
Beiträge: 232
Registriert: 03.02.2008 15:25
Wohnort: Kulturstadt Weimar
Kontaktdaten:

Re: Problem mit Update 3.0.6

Beitrag von Exotic Shayle »

Ja genau exakt die selbe Fehlermeldung hab ich...
Das ist ja wohl eine sch***, aber was mich wundert,
der bricht bei mir schon bei 10sek. ab,
dann würde das ja im Moment sehr niedrig gesetzt sein.

Kannst du mir mal genauer erklären was ich da machen muss?
In Ihrem FTP-Root befindet sich eine .htaccess Datei, die für Ihren Account den CGI-Modus über den AddHandler-Befehl aktiv schaltet. Bitte kommentieren Sie diesen Befehl in der htaccess einmal aus, indem Sie eine # vor die Zeile davor setzen. Häufig kommt ein Internal Server Error bei Updates und ähnlichen Aktionen, wenn der Account im CGI-Modus läuft, da hier strengere Restriktionen gelten und die Performance-Last größer ist, so dass das Script abbricht, wenn ein gewisses Limit überschritten wird. Versuchen Sie das Update daher nochmal bei deaktiviertem CGI.
weil das
CGI-Modus über den AddHandler-Befehl
sagt mir als Anfänger nicht wircklich viel.
Danke
Lg Marcel
http://www.malamute-wolfshundeforum.de (Schlittenhunde- und Wolfshundeforum)
http://www.nw.winterhunde.de (alle meine Websites)

Glueckmacher
Mitglied
Beiträge: 207
Registriert: 11.06.2009 00:55

Re: Problem mit Update 3.0.6

Beitrag von Glueckmacher »

Erkläre mich mit dem Problem solidarisch! :D

Jetzt habe ich mal nachgesehen wieviel Zeit bei mir für die "max_execution_time" vorgesehen ist. Mein Provider gibt dazu "30 Sekunden" an. Für eine längere Zeit brauche ich ein höheres und damit teureres Paket. Statt 3 €, für mindestens 6 Monate 15 €/Monat. Das nur für ein Update. Ziemlich blöd........ :roll:

Übrigens könnt ihr im ACP unter System/PHP-Information beim Punkt "max_execution_time" die Zeit sehen, die ihr zur Verfügung habt.
phpbb: 3.3.0
Styles: aero, prosilver, Absolution, SoftBlue
PHP Version: 7.3.16
Datenbank-Server: MySQL(i) 5.7.29-1

Exotic Shayle
Mitglied
Beiträge: 232
Registriert: 03.02.2008 15:25
Wohnort: Kulturstadt Weimar
Kontaktdaten:

Re: Problem mit Update 3.0.6

Beitrag von Exotic Shayle »

Bei max_execution_time steht bei mir ,,-1", was soll ich damit anfangen?
:-?
Werd da heute mal anrufen, die melden sich nicht per Email...
Lg Marcel
http://www.malamute-wolfshundeforum.de (Schlittenhunde- und Wolfshundeforum)
http://www.nw.winterhunde.de (alle meine Websites)

Benutzeravatar
nickvergessen
Ehrenadmin
Beiträge: 11559
Registriert: 09.10.2006 21:56
Wohnort: Stuttgart, Germany
Kontaktdaten:

Re: Problem mit Update 3.0.6

Beitrag von nickvergessen »

Man kann das ganze relativ einfach manipulieren:
install/install_update.php
finde:

Code: Alles auswählen

if ($num_bytes_processed >= 500 * 1024)
ersetze mit:

Code: Alles auswählen

if ($num_bytes_processed >= 250 * 1024)
Sollte das immer noch zu time-outs führen einfach noch weiter runtersetzen. (weiter als 150 sollte aber nicht nötig sein!)
kein Support per PN

Sprite01
Mitglied
Beiträge: 10
Registriert: 03.05.2008 19:18
Wohnort: Dessau
Kontaktdaten:

Re: Problem mit Update 3.0.6

Beitrag von Sprite01 »

Ich hänge dann immer bei 58 oder auch 59 von 281 Dateien überprüft.
Egal, wie weit ich nach unten gehe mit dem Wert (habe es auch schon mit 1 * 1024 probiert).

Im ACP geschaut: max_execution_time steht bei mir auf 30.

Glueckmacher
Mitglied
Beiträge: 207
Registriert: 11.06.2009 00:55

Re: Problem mit Update 3.0.6

Beitrag von Glueckmacher »

Sprite01 hat geschrieben:Ich hänge dann immer bei 58 oder auch 59 von 281 Dateien überprüft.
Egal, wie weit ich nach unten gehe mit dem Wert (habe es auch schon mit 1 * 1024 probiert).
Muss ich leider bestätigen. Es dauert zwar länger bis der 500 Fehler erscheint, aber er kommt. Habe jetzt mal beim Provider schriftlich angefragt, ob man die Zeit nicht verlängern kann für einen gewissen Zeitraum. Hoffentlich gehen diese darauf ein und 120 ist dann auch ausreichend.
phpbb: 3.3.0
Styles: aero, prosilver, Absolution, SoftBlue
PHP Version: 7.3.16
Datenbank-Server: MySQL(i) 5.7.29-1

Gesperrt

Zurück zu „[3.0.x] Installation, Update und Konvertierung“